OpenNMS API 1.2.9

## org.opennms.netmgt.scheduler
Class Schedule.ScheduleEntry

    java.lang.Object
      org.opennms.netmgt.scheduler.Schedule.ScheduleEntry

All Implemented Interfaces:
  ReadyRunnable, java.lang.Runnable

Enclosing class:
  Schedule

class Schedule.ScheduleEntry
extends java.lang.Object
implements ReadyRunnable

Field Summary
`private int` `m_expirationCode`

Constructor Summary
`Schedule.ScheduleEntry(int expirationCode)`

Method Summary
`private boolean` `isExpired()`
`boolean` `isReady()` Returns true if the runnable is ready to start.
`void` `run()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_expirationCode

    private int m_expirationCode

Constructor Detail

### Schedule.ScheduleEntry

    public Schedule.ScheduleEntry(int expirationCode)

Method Detail

### isExpired

    private boolean isExpired()

  Returns:

### isReady

    public boolean isReady()

  Description copied from interface: `ReadyRunnable`
  Returns true if the runnable is ready to start.

  Specified by:
    `isReady` in interface `ReadyRunnable`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.